PETSc version 3.17.4
Fix/Edit manual page

# PetscFindInt

Finds integer in a sorted array of integers

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFindInt(PetscInt key, PetscInt n, const PetscInt X[], PetscInt *loc)

Not Collective

### Input Parameters

| key | - the integer to locate
| n | - number of values in the array
| X | - array of integers

### Output Parameter

| loc | - the location if found, otherwise -(slot+1) where slot is the place the value would go

### See Also

PetscIntSortSemiOrdered(), PetscSortInt(), PetscSortIntWithArray(), PetscSortRemoveDupsInt()

### Level

intermediate

### Location

src/sys/utils/sorti.c

### Examples

src/dm/impls/plex/tutorials/ex10.c.html
src/dm/impls/plex/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages